mrueg 14/11/25 11:42:26
Modified: racc-1.4.11.ebuild racc-1.4.12.ebuild
racc-1.4.9.ebuild ChangeLog
Log:
Drop jruby target.
(Portage version: 2.2.14/cvs/Linux x86_64, signed Manifest commit with key )
Revision Changes Path
1.5 dev-ruby/racc/racc-1.4.11.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/racc/racc-1.4.11.ebuild?rev=1.5&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/racc/racc-1.4.11.ebuild?rev=1.5&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/racc/racc-1.4.11.ebuild?r1=1.4&r2=1.5
Index: racc-1.4.11.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/racc/racc-1.4.11.ebuild,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- racc-1.4.11.ebuild 26 May 2014 05:26:44 -0000 1.4
+++ racc-1.4.11.ebuild 25 Nov 2014 11:42:26 -0000 1.5
@@ -1,10 +1,10 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/racc/racc-1.4.11.ebuild,v 1.4
2014/05/26 05:26:44 mrueg Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/racc/racc-1.4.11.ebuild,v 1.5
2014/11/25 11:42:26 mrueg Exp $
EAPI=5
-USE_RUBY="ruby19 ruby20 ruby21 jruby"
+USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_TASK_DOC="docs"
@@ -41,32 +41,15 @@
}
each_ruby_prepare() {
- case ${RUBY} in
- *jruby)
- # Some tests are broken on jruby, avoid them. We used to
- # avoid all tests so this is not a regression for us.
- rm test/test_racc_command.rb || die
- ;;
- *)
- ${RUBY} -Cext/racc extconf.rb || die
- ;;
- esac
+ ${RUBY} -Cext/racc extconf.rb || die
}
each_ruby_compile() {
- case ${RUBY} in
- *jruby)
- einfo "Under JRuby, racc cannot use the shared object
parser, so instead"
- einfo "you have to rely on the pure Ruby
implementation."
- ;;
- *)
- emake V=1 -Cext/racc
- # Copy over the file here so that we don't have to do
- # special ruby install for JRuby and the other
- # implementations.
- cp -l ext/racc/cparse$(get_modname)
lib/racc/cparse$(get_modname) || die
- ;;
- esac
+ emake V=1 -Cext/racc
+ # Copy over the file here so that we don't have to do
+ # special ruby install for JRuby and the other
+ # implementations.
+ cp -l ext/racc/cparse$(get_modname) lib/racc/cparse$(get_modname) || die
}
each_ruby_test() {
1.2 dev-ruby/racc/racc-1.4.12.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/racc/racc-1.4.12.ebuild?rev=1.2&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/racc/racc-1.4.12.ebuild?rev=1.2&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/racc/racc-1.4.12.ebuild?r1=1.1&r2=1.2
Index: racc-1.4.12.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/racc/racc-1.4.12.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- racc-1.4.12.ebuild 27 Aug 2014 23:46:00 -0000 1.1
+++ racc-1.4.12.ebuild 25 Nov 2014 11:42:26 -0000 1.2
@@ -1,10 +1,10 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/racc/racc-1.4.12.ebuild,v 1.1
2014/08/27 23:46:00 mrueg Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/racc/racc-1.4.12.ebuild,v 1.2
2014/11/25 11:42:26 mrueg Exp $
EAPI=5
-USE_RUBY="ruby19 ruby20 ruby21 jruby"
+USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_TASK_DOC="docs"
@@ -41,32 +41,15 @@
}
each_ruby_prepare() {
- case ${RUBY} in
- *jruby)
- # Some tests are broken on jruby, avoid them. We used to
- # avoid all tests so this is not a regression for us.
- rm test/test_racc_command.rb || die
- ;;
- *)
- ${RUBY} -Cext/racc extconf.rb || die
- ;;
- esac
+ ${RUBY} -Cext/racc extconf.rb || die
}
each_ruby_compile() {
- case ${RUBY} in
- *jruby)
- einfo "Under JRuby, racc cannot use the shared object
parser, so instead"
- einfo "you have to rely on the pure Ruby
implementation."
- ;;
- *)
- emake V=1 -Cext/racc
- # Copy over the file here so that we don't have to do
- # special ruby install for JRuby and the other
- # implementations.
- cp -l ext/racc/cparse$(get_modname)
lib/racc/cparse$(get_modname) || die
- ;;
- esac
+ emake V=1 -Cext/racc
+ # Copy over the file here so that we don't have to do
+ # special ruby install for JRuby and the other
+ # implementations.
+ cp -l ext/racc/cparse$(get_modname)
lib/racc/cparse$(get_modname) || die
}
each_ruby_test() {
1.15 dev-ruby/racc/racc-1.4.9.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/racc/racc-1.4.9.ebuild?rev=1.15&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/racc/racc-1.4.9.ebuild?rev=1.15&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/racc/racc-1.4.9.ebuild?r1=1.14&r2=1.15
Index: racc-1.4.9.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/racc/racc-1.4.9.ebuild,v
retrieving revision 1.14
retrieving revision 1.15
diff -u -r1.14 -r1.15
--- racc-1.4.9.ebuild 24 Apr 2014 16:39:32 -0000 1.14
+++ racc-1.4.9.ebuild 25 Nov 2014 11:42:26 -0000 1.15
@@ -1,10 +1,10 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/racc/racc-1.4.9.ebuild,v 1.14
2014/04/24 16:39:32 mrueg Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/racc/racc-1.4.9.ebuild,v 1.15
2014/11/25 11:42:26 mrueg Exp $
EAPI=4
-USE_RUBY="ruby19 ruby20 jruby"
+USE_RUBY="ruby19 ruby20"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_TASK_DOC="docs"
@@ -36,42 +36,19 @@
}
each_ruby_prepare() {
- case ${RUBY} in
- *jruby)
- ;;
- *)
- ${RUBY} -Cext/racc extconf.rb || die
- ;;
- esac
+ ${RUBY} -Cext/racc extconf.rb || die
}
each_ruby_compile() {
- case ${RUBY} in
- *jruby)
- einfo "Under JRuby, racc cannot use the shared object
parser, so instead"
- einfo "you have to rely on the pure Ruby
implementation."
- ;;
- *)
- emake -Cext/racc
- # Copy over the file here so that we don't have to do
- # special ruby install for JRuby and the other
- # implementations.
- cp -l ext/racc/cparse$(get_modname)
lib/racc/cparse$(get_modname) || die
- ;;
- esac
+ emake -Cext/racc
+ # Copy over the file here so that we don't have to do
+ # special ruby install for JRuby and the other
+ # implementations.
+ cp -l ext/racc/cparse$(get_modname) lib/racc/cparse$(get_modname) || die
}
each_ruby_test() {
- case ${RUBY} in
- *jruby)
- ewarn "Using JRuby 1.5.2 the tests are currently badly
broken,"
- ewarn "so they are disabled until a new racc or a new
JRuby is"
- ewarn "released."
- ;;
- *)
- ${RUBY} -Ilib -S testrb test/test_*.rb || die
- ;;
- esac
+ ${RUBY} -Ilib -S testrb test/test_*.rb || die
}
all_ruby_install() {
1.113 dev-ruby/racc/ChangeLog
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/racc/ChangeLog?rev=1.113&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/racc/ChangeLog?rev=1.113&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/racc/ChangeLog?r1=1.112&r2=1.113
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/racc/ChangeLog,v
retrieving revision 1.112
retrieving revision 1.113
diff -u -r1.112 -r1.113
--- ChangeLog 27 Aug 2014 23:46:00 -0000 1.112
+++ ChangeLog 25 Nov 2014 11:42:26 -0000 1.113
@@ -1,6 +1,10 @@
# ChangeLog for dev-ruby/racc
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/racc/ChangeLog,v 1.112 2014/08/27
23:46:00 mrueg Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/racc/ChangeLog,v 1.113 2014/11/25
11:42:26 mrueg Exp $
+
+ 25 Nov 2014; Manuel RĂ¼ger <[email protected]> racc-1.4.11.ebuild,
+ racc-1.4.12.ebuild, racc-1.4.9.ebuild:
+ Drop jruby target.
*racc-1.4.12 (27 Aug 2014)